#jinja2:lstrip_blocks: True
global_defs {
  script_user root
  enable_script_security
}

vrrp_script check_script {
  script "/usr/bin/pgrep haproxy"
}

vrrp_instance VI_1 {
  interface {{ iface }}
  state {{ keepalived_role }}
  priority {{ keepalived_priority }}
  virtual_router_id 33
  advert_int 1
  unicast_src_ip {{ private_ipv4 }}

  unicast_peer {
  {% for host in (ansible_play_hosts | difference(ansible_hostname)) %}
    {{ hostvars[host]['private_ipv4'] }}
  {% endfor %}
  }

  authentication {
    auth_type PASS
    auth_pass {{ keepalived_password }}
  }

  track_script {
    check_script
  }
  notify_master /etc/keepalived/master.sh
  notify_backup /etc/keepalived/remove-floating-ip.sh
  notify_fault /etc/keepalived/remove-floating-ip.sh
}
